Subject: Re: bug#64799: [PATCH] Add 'project-prompt-key' face

From: Philip Kaludercic <[email-masked]>
Date: Wed, 23 Aug 2023 12:18:02 +0000

Would remapping help-key-binding to bold be a possible solution?

On August 23, 2023 12:35:14 PM GMT+02:00, Visuwesh <[email-masked]> wrote:
>[வியாழன் ஜூலை 27, 2023] Dmitry Gutov wrote:
>
>> On 26/07/2023 07:50, Protesilaos Stavrou wrote:
>>> For my use, and Emacs 28+, I want this:
>>>      (format "%s %s"
>>>                 (propertize (key-description key) 'face 'project-prompt-key)
>>>                 label)
>>> The reason I mentioned the possibility of a user option is because
>>> without the square brackets the bold face will not have the same effect
>>> as the current design.  The square brackets help add structure and make
>>> it easier to identify the keys.  The use of 'bold' without the square
>>> brackets may make it more difficult for users to spot the keys.
>>
>> The change in format seems to go hand-in-hand with the change in face,
>> though, because help-key-binding has a box already.
>>
>> Does this look good to everybody?
>
>Sorry for replying so late.  I make help-key-binding look the same as
>the default face, and now I can't distinguish the keys from the labels
>anymore since the former aren't bold anymore.  :-(
>Can there a way to get them back?  If you think it would be too ugly,
>then I can locally patch the function.
>
>[ FWIW, I liked the bold approach since it is similar to what
>  read-multiple-choice does.  ]